Gsv::CompletionInfo Class Reference

Calltips object. More...

`#include <gtksourceviewmm/completioninfo.h>`

Inheritance diagram for Gsv::CompletionInfo:
[legend]

List of all members.

## Public Member Functions

GtkSourceCompletionInfo* | gobj ()
| Provides access to the underlying C GtkObject.
const GtkSourceCompletionInfo* | gobj () const
| Provides access to the underlying C GtkObject.
| CompletionInfo ()
| Creates new CompletionInfo popup window.
void | move_to_iter (const Gtk::TextView& view, const Gtk::TextIter& iter)
| Moves the CompletionInfo to iter.
void | move_to_iter (const Gtk::TextView& view)
| Moves the Gtk::CompletionInfo to the cursor position.
void | set_widget (Gtk::Widget& widget)
| Sets the content widget of the info window.
Gtk::Widget* | get_widget ()
| Get the current content widget.
const Gtk::Widget* | get_widget () const
| Get the current content widget.
Glib::SignalProxy0< void > | signal_before_show ()
| Emited before any "show" management.

## Related Functions

(Note that these are not member functions.)
Gsv::CompletionInfo* | wrap (GtkSourceCompletionInfo* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

Calltips object.

This object can be used to show a calltip or help for the current completion proposal.

Since gtksourceviewmm 2.10:

## Constructor & Destructor Documentation

Gsv::CompletionInfo::CompletionInfo | ( |  | ) |

Creates new CompletionInfo popup window.

Returns:
  The new CompletionInfo.

Since gtksourceviewmm 2.10:

## Member Function Documentation

Gtk::Widget* Gsv::CompletionInfo::get_widget | ( |  | ) |

Get the current content widget.

Returns:
  The current content widget.

Since gtksourceviewmm 2.10:

const Gtk::Widget* Gsv::CompletionInfo::get_widget | ( |  | ) | const

Get the current content widget.

Returns:
  The current content widget.

Since gtksourceviewmm 2.10:

void Gsv::CompletionInfo::move_to_iter | ( | const Gtk::TextView & | view,
|  | const Gtk::TextIter & | iter
| ) |  |

Moves the CompletionInfo to iter.

Moving will respect the Gdk::Gravity setting of the info window and will ensure the line at iter is not occluded by the window.

Parameters:

  view | A Gtk::TextView on which the info window should be positioned.
  iter | A Gtk::TextIter.

Since gtksourceviewmm 2.10:

void Gsv::CompletionInfo::move_to_iter | ( | const Gtk::TextView & | view | ) |

Moves the Gtk::CompletionInfo to the cursor position.

Moving will respect the Gdk::Gravity setting of the info window and will ensure the line at cursor position is not occluded by the window.

Parameters:

  view | A Gtk::TextView on which the info window should be positioned.

Since gtksourceviewmm 2.10:

void Gsv::CompletionInfo::set_widget | ( | Gtk::Widget & | widget | ) |

Sets the content widget of the info window.

If widget does not fit within the size requirements of the window, a Gtk::ScrolledWindow will automatically be created and added to the window.

Parameters:

  widget | A Gtk::Widget.

Since gtksourceviewmm 2.10:

Glib::SignalProxy0< void > Gsv::CompletionInfo::signal_before_show | ( |  | ) |

Emited before any "show" management.

You can connect to this signal if you want to change some properties or position before the real "show".

Since gtksourceviewmm 2.10:

Prototype:
  `void on_my_before_show()`

## Friends And Related Function Documentation

Gsv::CompletionInfo* wrap | ( | GtkSourceCompletionInfo * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.